# BindView
## BindView注解封装
## 使用

### 根目录下build.gradle添加Maven地址
~~~
repositories {
        maven {
            url "http://maven.benyanyi.com:8081/nexus/content/repositories/mylove/"
        }
    }
~~~
### module 下添加
~~~
implementation 'com.yanyi.benyanyi:BindView:1.0.9'
~~~

或者
~~~
<dependency>
  <groupId>com.yanyi.benyanyi</groupId>
  <artifactId>BindView</artifactId>
  <version>1.0.8</version>
  <type>aar</type>
</dependency>
~~~
### 在Activity中添加
~~~
ViewBind.bind(this);
~~~
### 在Fragment中添加
~~~
ViewBind.bind(view, this);
~~~
### 单view中绑定
~~~
### ViewBind.bind(view);
~~~
### 在Dialog中添加
~~~
ViewBind.bind(this)
~~~
### 绑定id
~~~
@BindView(R.id.xxx)
~~~
### 绑定string中对应字符
~~~
@BindString(R.string.xxx)
~~~
### 添加点击方法
~~~
@OnClick({R.id.xxx, R.id.xxx}, isDoubleClick = true, isCheckNet = true, netErrorMsg = "网络错误")
isDoubleClick 是否可以重复点击判断，默认为false，短时间重复点击有点击事件反应
isCheckNet 点击事件网络监听，默认为false，点击事件时不判断网络状态
netErrorMsg 网络状态报错提醒，isCheckNet为关闭状态时无反应，默认为“网络错误”，可以自己自定义提醒的值
 ~~~
### 更新记录
* 2020-06-13 更新1.0.9版本，添加空id判断
* 2020-05-18 更新1.0.8版本，将android support转成androidx支持,并将Maven库存放到个人服务器上
* 2020-05-07 更新1.0.7版本，添加在自定义dialog中使用注解
* 2020-04-15 更新1.0.6版本，去除ClickNet注解，将ClickNet注解功能添加至OnClick，并添加能否短时间重复点击判断，添加BindString注解
* 2019-06-26 更新1.0.4版本，去除重复方法
* 2019-06-12 更新1.0.2版本, 方法优化，更改包名，统一开源库包名
* 2019-05-29 提交1.0.1版本，优化一些已知细节
* 2018-12-26 提交1.0.0版本

---
若在使用过程中出现什么问题，可以联系作者<br/>
作者：演绎<br/>
QQ：1541612424<br/>
email： ben@yanyi.red<br/>
微信公众号：benyanyi(演绎未来)&nbsp;&nbsp;&nbsp;将会不定期的更新关于android的一些文章


